=== debian/changelog ===
landscape-client (24.02-0ubuntu5) noble; urgency=medium

  * d/p/2062561-fix-deb822-sources.patch: fix to include deb822 formatted
    sources when collecting source channels (LP: #2062561)

 -- Austin Nhung <austin.nhung@canonical.com>  Mon, 22 Apr 2024 15:42:34 -0600

landscape-client (24.02-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:12:19 +0000

landscape-client (24.02-0ubuntu3) noble; urgency=medium

  * d/p/2057976-fix-ubuntu-pro-registration.patch: fix ubuntu pro info not
    being sent on registration exchange with Landscape Server (LP: #2057976)

 -- Spencer Runde <spencer.runde@canonical.com>  Thu, 14 Mar 2024 17:47:11 -0500

landscape-client (24.02-0ubuntu2) noble; urgency=medium

  * d/p/2055348-fix-expandvars-arb-exec.patch: fix potential arbitrary shell
    execution in landscape/lib/format.py:expandvars (LP: #2055348)

 -- Mitch Burton <mitch.burton@canonical.com>  Thu, 29 Feb 2024 10:23:23 -0800

landscape-client (24.02-0ubuntu1) noble; urgency=medium

  * New upstream release 24.02
    - d/control: added python3-dbus to Build-Depends
    - d/control: added python3-dbus to landscape-client Depends. Added
      python3-setuptools to landscape-common Depends. Removed lsb-base from
      landscape-common Depends.
    - d/control: use dephelper-compat 12, removed d/compat
    - d/patches: removed patches that have been applied upstream
    - d/watch: watch Github releases page instead of tags
    - snap-http: included new submodule under identical license
    - use dbus in shutdown manager instead of subprocess
    - improve messages about manager plugin configuration
    - add getting and settings snap configurations
    - read temperature from hwmon devices
    - add snapd device information to ComputerInfo message
    - add snap services management
    - d/landscape-common.postinst d/landscape-common.prerm: do not call
      update-motd when installing/removing landscape-sysinfo.wrapper
      (LP: #1855544)
    - Livepatch status reporting bug
    - bpickle: guard against negative string/bytestring lengths
    - Makefile: remove check2, depends2, and references to python2
    - add path for os-release inside a snap
    - computer title generation for zero-touch deployment on Core
    - user management on Core
    - deploy system user assertion to device
    - remote script execution for snaps

 -- Mitch Burton <mitch.burton@canonical.com>  Thu, 27 Feb 2024 16:46:56 -0800
