=== debian/control ===
Source: landscape-client
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Landscape Team <landscape-team@canonical.com>
Build-Depends: debhelper-compat (= 12), po-debconf, libdistro-info-perl,
               dh-python, python3-dev, python3-distutils-extra,
               lsb-release, gawk, net-tools,
               python3-apt, python3-twisted, python3-configobj,
               python3-pycurl, python3-netifaces, python3-yaml,
               ubuntu-advantage-tools, locales-all, python3-dbus
Standards-Version: 4.4.0
Homepage: https://github.com/CanonicalLtd/landscape-client

Package: landscape-common
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${extra:Depends},
         python3-twisted,
         python3-configobj,
         python3-apt,
         ca-certificates,
         python3-gdbm,
         python3-netifaces,
         lsb-release,
         adduser,
         bc,
         lshw,
         libpam-modules,
         python3-setuptools
Description: Landscape administration system client - Common files
 Landscape is a web-based tool for managing Ubuntu systems. This
 package is necessary if you want your machine to be managed in a
 Landscape account.
 .
 This package provides the core libraries, as well as the landscape-sysinfo
 command.  It also sets up the landscape user, landscape directories, and the
 hook that runs landscape-sysinfo on startup.

Package: landscape-client
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${extra:Depends},
         ${shlibs:Depends},
         landscape-common (= ${binary:Version}),
         python3-pycurl,
	 python3-dbus
Description: Landscape administration system client
 Landscape is a web-based tool for managing Ubuntu systems. This
 package is necessary if you want your machine to be managed in a
 Landscape account.
 .
 This package provides the Landscape client and requires a Landscape account.
