=== debian/changelog ===
landscape-client (24.08-0ubuntu2.1) oracular; urgency=medium

  * d/control: add python3-yaml dependency to landscape-client (LP: #2084586)

 -- Mitch Burton <mitch.burton@canonical.com>  Tue, 15 Oct 2024 16:55:23 -0700

landscape-client (24.08-0ubuntu2) oracular; urgency=medium

  * d/t/control: add unit tests

 -- Mitch Burton <mitch.burton@canonical.com>  Wed, 28 Aug 2024 14:39:53 -0700

landscape-client (24.08-0ubuntu1) oracular; urgency=medium

  * New upstream release 24.08
    - d/landscape-sysinfo.wrapper: remove system exit
    - d/patches: remove patches that have been applied upstream
    - feat: added landscape-config flag to skip sending a registration request
    - feat: use snap set to change snap configurations
    - fix: merge SnapMonitor into SnapManger to fix config reporting permissions
      registration
  * d/p/fix-landscape-client-manpage.patch: fix indentation in landscape-client
    manpage

 -- Mitch Burton <mitch.burton@canonical.com>  Mon, 12 Aug 2024 13:50:28 -0700

landscape-client (24.02-0ubuntu9) oracular; urgency=medium

  * d/landscape-sysinfo.wrapper: fix 'cores' variable to CORES in message-
    of-the-day load threshold calculation (LP: #2066983)

 -- Spencer Runde <spencer.runde@canonical.com>  Tue, 28 May 2024 14:19:00 -0500

landscape-client (24.02-0ubuntu8) oracular; urgency=medium

  * d/p/2068050-fix-pycurl-error-string-test: Fix difference in pycurl error
    string upon certificate validation failured (LP: #2068050)

 -- Mitch Burton <mitch.burton@canonical.com>  Wed, 12 Jun 2024 14:51:00 -0700

landscape-client (24.02-0ubuntu7) oracular; urgency=medium

  * d/p/add-non-filtered-interfaces-to-the-api-response.patch: include
    all non-filtered network interfaces that have a valid MAC address
    in the API response. (LP: #2052834)

 -- Ghadi Elie Rahme <ghadi.rahme@canonical.com>  Tue, 04 Jun 2024 13:56:24 +0000

landscape-client (24.02-0ubuntu6) oracular; urgency=medium

  * d/t/control, d/t/smoke: add smoke test

 -- Mitch Burton <mitch.burton@canonical.com>  Mon, 03 Jun 2024 15:16:13 -0700
