=== debian/tests/control ===
Tests: smoke
Restrictions: allow-stderr, needs-sudo, superficial

Test-Command: HOME=$(mktemp -d) make check
Depends: @builddeps@
Restrictions: allow-stderr
Features: test-name=unit
