=== debian/changelog ===
landscape-client (24.12-0ubuntu2.2) plucky; urgency=medium

  * d/p/fix-apt-source-file-management.patch: restore .list and .sources files
    when a repo profile is disassociated (LP: #2087852)

 -- Mitch Burton <mitch.burton@canonical.com>  Fri, 13 Jun 2025 09:39:22 -0700

landscape-client (24.12-0ubuntu2.1) plucky; urgency=medium

  * d/p/package-reporter-high-cpu.patch: backport fix to reduce CPU usage of
    package-reporter by avoiding creating Origin objects from the Python
    apt package. (LP: #2099283)

 -- Jan-Yaeger Dhillon <jan.dhillon@canonical.com>  Tue, 01 Apr 2025 01:07:36 +0000

landscape-client (24.12-0ubuntu2) plucky; urgency=medium

  [ Bryan Fraschetti ]
  * d/p/2087852-feat-manage-ubuntu-sources-glob.patch: include DEB822 formatted sources
    when managing apt sources by regex matching .sources files (LP: #2087852)

  [ Mitch Burton ]
  * Fix FTBFS (LP: #2106263)
    - d/p/unittest-makeSuite-deprecation.patch: fix tests on python versions
      where unittest.makeSuite has been removed
    - d/rules: don't make root:root owner of installed executables
    - d/tests/control: set environment variables for autopkgtest user and
      build environment
    - d/p/allow-http-proxy-in-tests.patch: fix tests by making them
      insensitive to http/https proxy environment variables

 -- Mitch Burton <mitch.burton@canonical.com>  Wed, 26 Mar 2025 17:47:28 -0700

landscape-client (24.12-0ubuntu1) plucky; urgency=medium

  * New upstream release 24.12
    - d/patches: remove patches that have been applied upstream
      - fix-plucky-tests.patch
    - d/rules: add landscape user workaround
    - fix: improve output for is-registered flag
    - fix: fixed monitor-only flag for false values
    - fix: surface SSL certificates
    - fix: updated motd
    - fix: added plucky tests
    - fix: get ubuntu pro info on snaps
    - feat: added landscape-config --silent flag
    - move livepatch to manager instead of monitor plugin
    - fix: add date and hash fields to repository tests
    - fix: ensure preferences.d exists
    - fix: patch missing Trial addDuration method
    - updated snapcraft.yaml
    - refactor: use synchronous message exchange for landscape-config
    - fix: ensure homedir and broker.bpickle are owned by Landscape
    - fix: added manage-sources-list-d flag 
    - refactor: optparse to argparse
    - fix: parse livepatch status
    - fix: landscape-config uses ssl_public_key
    - fix: registration with landscape-client.config on snap
    - feat: add cloud-init message
    - fix: process full server response
    - fix: prevent creation of clones after reverting to previous snap
    - feat: add installation_request_id parameter to registration
    - fix: TiOBE TiCS workflow
    - fix: set insecure id during registration 

 -- Justin Kim <justin.kim@canonical.com>  Mon, 9 Dec 2024 15:29:26 -0800

landscape-client (24.08-0ubuntu3) plucky; urgency=medium

  * d/control: add python3-yaml dependency to landscape-client (LP: #2084586)
  * d/p/fix-plucky-tests.patch: fix unit tests on Twisted >= 24.10

 -- Mitch Burton <mitch.burton@canonical.com>  Fri, 29 Nov 2024 14:18:44 -0800
