=== debian/control ===
--- 
+++ 
@@ -42,7 +42,8 @@
          ${shlibs:Depends},
          landscape-common (= ${binary:Version}),
          python3-pycurl,
-	 python3-dbus
+	 python3-dbus,
+	 python3-yaml
 Description: Landscape administration system client
  Landscape is a web-based tool for managing Ubuntu systems. This
  package is necessary if you want your machine to be managed in a
