=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,11 @@
 override_dh_auto_install:
 	dh_auto_install
 	make -C apt-update
-	install -D -o root -g root -m 755 debian/landscape-sysinfo.wrapper $(CURDIR)/$(root_dir)$(SHAREDIR)/landscape-sysinfo.wrapper
-	install -D -o root -g root -m 755 apt-update/apt-update $(CURDIR)/$(root_dir)$(LIBDIR)/apt-update
+	install -D -m 755 debian/landscape-sysinfo.wrapper $(CURDIR)/$(root_dir)$(SHAREDIR)/landscape-sysinfo.wrapper
+	install -D -m 755 apt-update/apt-update $(CURDIR)/$(root_dir)$(LIBDIR)/apt-update
 
 override_dh_installsystemd:
 	dh_installsystemd
 
 override_dh_auto_test:
-	HOME=$(shell mktemp -d) && make check
+	HOME=$(shell mktemp -d) LANDSCAPE_CLIENT_USER=$(shell whoami) LANDSCAPE_CLIENT_BUILDING=1 make check
